//
//  MapView.swift
//  CD-SwiftUITurtleRock
//
//  Created by bulko on 11/20/24.
//

import SwiftUI
import MapKit

struct MapView: UIViewRepresentable {
    
    func makeUIView(context: Context) -> MKMapView {
        MKMapView(frame: .zero)
    }
    
    func updateUIView(_ uiView: UIViewType, context: Context) {
        let coordinate = CLLocationCoordinate2D(
            latitude: 34.011286,
            longitude: -116.166868)
        let span = MKCoordinateSpan(
            latitudeDelta: 2.0,
            longitudeDelta: 2.0)
        let region = MKCoordinateRegion(
            center: coordinate,
            span: span)
        uiView.setRegion(region, animated: true)
        
    }
    
}

#Preview {
    MapView()
}
